NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
List of all members
NXOpen.Routing.Filler Class Reference

Represents a Filler More...

Inheritance diagram for NXOpen.Routing.Filler:
NXOpen.Routing.Stock NXOpen.NXObject NXOpen.Routing.ICharacteristic NXOpen.TaggedObject NXOpen.INXObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink

Additional Inherited Members

- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 
- Public Member Functions inherited from NXOpen.Routing.Stock
unsafe void AddSegments (NXOpen.Curve[] segments)
 Adds new segments to this object. More...
 
unsafe void AlignStock (NXOpen.Vector3d vector)
 Align stock to new rotation vector. More...
 
unsafe void ColorBodies ()
 Colors the solid bodies of the stock based on the COLOR characteristic specified in the NXOpen.Routing.StockData of the stock. More...
 
unsafe bool ConnectStockComponentWithAssemblyPath ()
 If the stock components are disconnected from the path in the assembly this method will connect them again with the path. More...
 
unsafe void DeleteCharacterstics (NXOpen.Routing.CharacteristicList values)
 Removes the input list of characteristics from this object. More...
 
unsafe bool FixCrossSectionInvalidities ()
 If the stock has cross section invalidities this function corrects those. More...
 
unsafe NXOpen.Routing.Anchor GetAnchor ()
 Gets the NXOpen.Routing.Anchor that currently modifies the profile for the stock. More...
 
unsafe NXOpen.Body[] GetBodies ()
 Returns the solid bodies, if any, that are created and controlled by this object. More...
 
unsafe void GetBodySegmentMap (NXOpen.Features.Feature feature, out NXOpen.Body body, out NXOpen.Curve[] stockSegments, out NXOpen.Curve[] pathSegments)
 Given stock and a feature of the stock, returns solid body, stock segments and path segments that produced the body. More...
 
unsafe
NXOpen.Routing.CharacteristicList 
GetCharacteristics ()
 Get all of the characteristics values on the this object. More...
 
unsafe NXOpen.Assemblies.Component GetComponent ()
 Returns the NXOpen.Assemblies.Component created and controlled by the stock for a Stock as Components stock. More...
 
unsafe NXOpen.Routing.CrossSection GetCrossSection ()
 Gets the NXOpen.Routing.CrossSection that currently defines the profile for the stock. More...
 
unsafe
NXOpen.Routing.CharacteristicList 
GetDestinationCharacteristics ()
 Returns the destination characteristics from the input object. More...
 
unsafe NXOpen.Features.Feature[] GetFeatures ()
 Returns the sweep features that are created and controlled by this object. More...
 
unsafe NXOpen.Routing.Flip GetFlippedStatus ()
 Gets whether or not the profile is flipped. More...
 
unsafe
NXOpen.Routing.Electrical.HarnessDevice 
GetHarnessDevice ()
 For Routing Electrical application only, returns the Routing.Electrical.HarnessDevice that owns the wire or wires that make up a stock bundle. More...
 
unsafe int GetIntegerCharacteristic (string name)
 Get the value of an integer characteristic associated with the input name. More...
 
unsafe NXOpen.Routing.ComponentName GetNameStatus ()
 Returns whether or not the component associated with a Stock as Components Stock has a permanent or temporary name. More...
 
unsafe double GetOriginalLength ()
 Returns the original length for a stock that has been deformed (it's use is Routing.StockUse.Deformed ). More...
 
unsafe void GetPorts (out NXOpen.Routing.StockPort startPort, out NXOpen.Routing.StockPort endPort)
 Returns the NXOpen.Routing.StockPort at each end of the stock. More...
 
unsafe NXOpen.Routing.ProfileFrom GetProfileEnd ()
 Gets the end that defines profile. More...
 
unsafe double GetRealCharacteristic (string name)
 Get the value of a real characteristic associated with the input name. More...
 
unsafe double GetRotationAngle ()
 Gets the rotation angle applied to the profile. More...
 
unsafe NXOpen.Curve[] GetSegments ()
 Gets the segments that the NXOpen.Routing.Stock object is placed on top of. More...
 
unsafe NXOpen.Routing.StockData GetStockData ()
 Gets the NXOpen.Routing.StockData . More...
 
unsafe NXOpen.Routing.StockStyle GetStockStyle ()
 Gets the NXOpen.Routing.StockStyle of the NXOpen.Routing.Stock . More...
 
unsafe NXOpen.Routing.StockUse GetStockUse ()
 Returns the use of the stock. More...
 
unsafe string GetStringCharacteristic (string name)
 Get the value of a string characteristic associated with the input name. More...
 
unsafe double GetTwistAngle ()
 Gets the twist angle applied to the profile. More...
 
unsafe bool IsSpaceReservation ()
 Is this stock a Space Reservation stock?. More...
 
unsafe void RemoveSegments (NXOpen.Curve[] segments)
 Removes segments from this object. More...
 
unsafe void RenameStockComponent (string partName)
 Renames the stock component part with given name More...
 
unsafe void SetAnchor (NXOpen.Routing.Anchor anchor)
 Sets the NXOpen.Routing.Anchor . More...
 
unsafe void SetCharacteristic (string name, int value)
 Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
unsafe void SetCharacteristic (string name, double value)
 Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
unsafe void SetCharacteristic (string name, string value)
 Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
unsafe void SetCharacteristic2 (string title, int value)
 Sets or creates an integer type attribute associated with the input title. More...
 
unsafe void SetCharacteristic2 (string title, double value)
 Sets or creates a double type attribute associated with the input title. More...
 
unsafe void SetCharacteristic2 (string title, string value)
 Sets or creates a string type type attribute associated with the input title. More...
 
unsafe void SetCharacteristics (NXOpen.Routing.CharacteristicList values)
 Set all of the characteristics values on this object. More...
 
unsafe void SetCharacteristics2 (NXOpen.Routing.CharacteristicList values)
 Sets all attributes associated with the titles from the input list, creating new attributes for the ones that don't exist already. More...
 
unsafe void SetCrossSection (NXOpen.Routing.CrossSection crossSection)
 Sets the NXOpen.Routing.CrossSection . More...
 
unsafe void SetFlippedStatus (NXOpen.Routing.Flip flipped)
 Sets whether or not the profile is flipped. More...
 
unsafe void SetProfileEnd (NXOpen.Routing.ProfileFrom profileEnd)
 Sets the end that defines profile. More...
 
unsafe void SetRotationAngle (double rotationAngle)
 Sets the rotation angle applied to the profile. More...
 
unsafe void SetStockData (NXOpen.Routing.StockData stockData)
 Sets the NXOpen.Routing.StockData . More...
 
unsafe void SetStockStyle (NXOpen.Routing.StockStyle style)
 Sets the NXOpen.Routing.StockStyle of the NXOpen.Routing.Stock . More...
 
unsafe void SetTwistAngle (double twistAngle)
 Sets the twist angle applied to the profile. More...
 
unsafe void SyncComponentAttrs (bool isNewPart)
 Set the characteristics of the given stock's component so that it has the same characteristics as the NXOpen.Routing.Stock and its stock data. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Routing.Stock
unsafe bool NegateOffsetsFlag [get, set]
 Returns or sets the negate offsets flag of this NXOpen.Routing.Stock . More...
 

Detailed Description

Represents a Filler

Created in NX4.0.0


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.